Jack::JackThreadedDriver Class Reference

The base class for threaded drivers using a "decorator" pattern. Threaded drivers are used with blocking devices. More...

`#include <JackThreadedDriver.h>`

Inheritance diagram for Jack::JackThreadedDriver:

## Public Member Functions

| JackThreadedDriver (JackDriver *driver)
virtual int | Open ()
virtual int | Open (jack_nframes_t buffer_size, jack_nframes_t samplerate, bool capturing, bool playing, int inchannels, int outchannels, bool monitor, const char *capture_driver_name, const char *playback_driver_name, jack_nframes_t capture_latency, jack_nframes_t playback_latency)
virtual int | Close ()
virtual int | Process ()
virtual int | Attach ()
virtual int | Detach ()
virtual int | Read ()
virtual int | Write ()
virtual int | Start ()
virtual int | Stop ()
virtual bool | IsFixedBufferSize ()
virtual int | SetBufferSize (jack_nframes_t buffer_size)
virtual int | SetSampleRate (jack_nframes_t sample_rate)
virtual void | SetMaster (bool onoff)
virtual bool | GetMaster ()
virtual void | AddSlave (JackDriverInterface *slave)
virtual void | RemoveSlave (JackDriverInterface *slave)
virtual std::list< JackDriverInterface * > | GetSlaves ()
virtual int | ProcessReadSlaves ()
virtual int | ProcessWriteSlaves ()
virtual int | ProcessRead ()
virtual int | ProcessWrite ()
virtual int | ProcessReadSync ()
virtual int | ProcessWriteSync ()
virtual int | ProcessReadAsync ()
virtual int | ProcessWriteAsync ()
virtual int | ClientNotify (int refnum, const char *name, int notify, int sync, const char *message, int value1, int value2)
virtual JackClientControl * | GetClientControl () const
virtual bool | IsRealTime () const
virtual bool | IsRunning () const
virtual bool | Execute ()
virtual bool | Init ()

## Protected Member Functions

void | SetRealTime ()

## Protected Attributes

JackThread | fThread
JackDriver * | fDriver

## Detailed Description

The base class for threaded drivers using a "decorator" pattern. Threaded drivers are used with blocking devices.

Definition at line 34 of file JackThreadedDriver.h.

## Member Function Documentation

bool Jack::JackThreadedDriver::Init | ( |  | ) |

virtual

Called once when the thread is started

Reimplemented from Jack::JackRunnableInterface.

Reimplemented in Jack::JackWaitThreadedDriver.

Definition at line 247 of file JackThreadedDriver.cpp.

The documentation for this class was generated from the following files:

- JackThreadedDriver.h
- JackThreadedDriver.cpp